
form[id^=form] input[type=button], input[type=reset], form[id^=form] button, button, input[type=button] {
    color: white;
    background-color: #4b9df6;
    min-width: 120px;
    width: auto;
    border: none;
    cursor: pointer;
    font-size: 1.2em;
    min-height: 40px;
    font-family: arial;
    margin: 5px;
    user-select: none;
    padding: 5px;
}


html:lang(fa) button {
    font-family: iransans,yekan,b roya,b nazanin,tahoma;
    font-size: 1em;
}

html:lang(fa) button i {
  
    font-size: .7em;
}

.label-link input[type=text] {
    font-size: 1em;
    background-color: transparent;
    border: 0;
    width: 250px;
    text-align: left;
}


button:disabled {
    background-color: #49c0f0;
}

.btn {
    text-align: left;
    float: left;
    padding-left: 5px;
}

    .btn a:hover {
        color: black;
    }

    .btn a {
       
        z-index: 2;
        transition: 0.5s ease-out;
       
        cursor: pointer;
        
        text-align: center;
    }


.bounce-top {
   
    vertical-align: middle;
    transform: perspective(1px) translateZ(0);
    box-shadow: 0 0 1px rgba(0, 0, 0, 0);
  
    transition-property: color;
    transition-duration: 0.5s;
}

    .bounce-top:before {
        content: "";
        position: absolute;
        z-index: -1;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background: #c4c4c4;
        transform: scaleY(0);
        transform-origin: 50% 100%;
        transition-property: transform;
        transition-duration: 0.5s;
        transition-timing-function: ease-out;
    }



/*.animate-spin {
    
    animation: spin .5s infinite linear;
    display: inline-block;
   
    color: white;
    cursor:default;
}

*/
@keyframes animate-spin {
    to {
        transform: rotate(360deg);
    }
}

.animate-spin {
    /* position: relative;*/
    width: 45px;
}

    .animate-spin:before {
        content: '';
        box-sizing: border-box;
      
        width: 20px;
        height: 20px;
        border-radius: 50%;
        border: 2px solid #ccc;
        border-top-color: #000;
        animation: animate-spin .6s linear infinite;
        margin-top: 100%;
        margin: 0 5px;
        margin-top: 3px;
        float:left;
    }



button i:not(.icon) {
    display: none;
    color: white;
}



form[id^=form] input[type=button]:hover, form[id^=form] button:hover {
    background-color: #49c0f0;
    color: black;
    background-image: linear-gradient(to bottom,orange, #fa9951);
}


form[id^=form] input[type=button] i:before, form[id^=form] button i:before {
    font-size: 1rem;
}


form[id^=form] ul ul {
    min-width: 170px;
    color: black;
    text-align: left;
}

html:lang(fa) form[id^=form] ul ul, html :lang(ar) form[id^=form] ul ul {
    text-align: right;
}



legend {
    font-weight: bold;
}

form[id^=form] fieldset li li {
    width: auto;
    color: black;
    display: inline-block;
    padding: 10px;
}

form[id^=form] li fieldset {
    width: 98%;
}

form[id^=form] fieldset li li input {
    text-align: center;
}

#txtcaptcha {
    width: 100px;
    text-align: left;
    box-shadow: none;
    font-family: verdana;
    height: 35px;
    border-radius: 0px;
}

form[id^=form] fieldset#fldCaptcha li{display:flex;}




.form-table-place-box a.btn {
    float: none;
}


.form-table-place-box .btn a{
    width: 110px;
}

#fldCaptcha img, #fldCaptcha label {
    float: right;
    text-align: right;
    margin: 0;
  top:-55px;
    min-width: 80px !important;
}

html :lang(en) #fldCaptcha img, html :lang(en) #fldCaptcha label {
    float: left;
    text-align: left
}

/*#form1 li input[type=text],#form2 li input[type=text], input[type=password],select{*/
form[id^=form] fieldset li input, input[type=text], form[id^=form] fieldset li textarea {
    background: white;
    width: 96%;
    border-radius: 5px;
    border: 1px solid #DDD;
    color: #666;
    font-family: Arial;
    padding: 3px 3px;
    font-size: 1em;
    text-align: left;
    height: 40px;
}

 form[id^=form] fieldset li textarea {
   
    height: auto;
    min-height:70px
}

html:lang(fa) form[id^=form] fieldset li input, html :lang(fa) form[id^=form] fieldset li textarea {
    text-align: right;
    font-family: iransans,yekan,b roya,b nazanin,tahoma;
    resize: none;
}

html :lang(ar) form[id^=form] fieldset li input, html :lang(ar) form[id^=form] fieldset li textarea {
    text-align: right;
    font-family: iransans,yekan,b roya,b nazanin,tahoma;
}


form[id^=form] fieldset li input[type=password], form[id^=form] fieldset li input[name=username], #txtUsername, #Username,
form[id^=form] input[type=email], form[id^=form] fieldset li input[name=tel], form[id^=form] fieldset li input[name=mobile],
form[id^=form] fieldset li input[type=tel] {
    text-align: left !important;
}


form[id^=form] fieldset li input[type=radio], form[id^=form] fieldset li input[type=checkbox] {
    width: 15px;
    box-shadow: none;
    height:auto;
}

form[id^=form] fieldset li li input[type=checkbox] {
    width: 20px;
    box-shadow: none;
    margin-top: -6px;
    float: right;
    text-align: right
}

html :lang(en) form[id^=form] fieldset li li input[type=checkbox] {
    float: left;
    text-align: left
}

form[id^=form] li input[type=checkbox] + label {
    width: auto;
    padding: 0px;
}




form[id^=form] li input[type=checkbox] {
    width: 20px;
    margin-top: -10px;
    color: red;
}




html :lang(en) form[id^=form] fieldset li textarea, html :lang(tr) form[id^=form] fieldset li textarea {
    font-family: arial;
}


form[id^=form] input:focus,
form[id^=form] select:focus,
form[id^=form] textarea:focus {
    border: 1px solid orange;
}


form[id^=form] {
    color: black;
}

form label:not(.error) {
    min-width: 200px;
    margin: 2px;
    text-align: right;
   
    padding-right: 5px;
    vertical-align: bottom;
    color: black;
   
    float:right
   
}


html :lang(en) form[id^=form] label:not(.error),
html :lang(tr) form[id^=form] label:not(.error) {
    text-align: left;
    float:left;
}

html :lang(en) form[id^="form"] fieldset li {
    text-align: left;
    float: left;
}

form[id^=form] fieldset li {
    
    padding: 3PX;
    text-align: right;
    vertical-align: top;
    width: 100%;
    float:right;
    
}

form[id^=form3] fieldset li {
    
    width: auto;
    min-width:unset;
}

form[id^=form3] label {
    width: auto !important
}

html :lang(en) .fileUploader label, html :lang(en) .fileUploader p {
    width: 100%;
    float: left;
    padding: 2px 10px;
    text-align: left;
    margin-top: 0;
}

html :lang(en) form[id^=form] fieldset li, html :lang(tr) form[id^=form] fieldset li {
    text-align: left;
    float: left;
}

form[id^=form] #extratinyint, form[id^=form] #discountpercent,
form[id^=form] #stock, form[id^=form] #maxcount, form[id^=form] #extrasmallint {
    text-align: center;
}


html :lang(en) input, html :lang(tr) input, html :lang(en) textarea, html :lang(tr) textarea {
    text-align: left;
}


form[id^=form] fieldset, fieldset {
    border-radius: 4px;
    border-radius: 4px;
    margin-top: 5px;
    border: 1px solid #edeaea;
    margin-bottom: 10px;
    background-color: #f7f7f7;
    margin: 0 1%;
    width: 96.5%;
    margin-bottom:5px;
}



form[id^=form] li span.count {
    width: 40px;
    height: 15px;
    border: 1px solid #DDD;
    border-radius: 5px;
    box-shadow: 0 0 5px #DDD inset;
    color: #666;
    text-align: left;
    padding: 3px 3px;
}

#radio input[type='radio'] {
    width: 30px;
}



#register {
    text-align: center;
}

form[novalidate=novalidate] li {
    position: relative;
}


form[id^=form] li select, select {
    width: 97%;
    border: 1px solid #C0C0C0;
    border-radius: 3px;
    height: 40px;
}



#radio input[type=radio] {
    width: 20px;
}



iframe {
    -webkit-user-select: none;
    user-select: none;
    border: 0;
    min-height: 200px;
    width:100%
}

.message {
    background-color: #a5cf8f;
    width: 97%;
    border: 2px solid #789d64;
    display: none;
    float: right;
    text-align: center;
    padding: 25px;
    margin: 20px;
}

html :lang(en) .message, html :lang(tr) .message {
    float: left;
}

.message > div {
    text-align: center;
    width: 85%;
    padding: 25px;
}


form[id^=form] li, form[id^=form] ul {
    list-style: none;
}

form[id^=form] ul {
    padding: 0;
    margin: 0;
}


#form3 fieldset li label {
    width: auto;
    display: inline-block;
    text-align: right;
    margin-top: 10px;
}

html :lang(en) #form3 fieldset li label, html :lang(tr) #form3 fieldset li label {
    text-align: left;
}

#form3 fieldset input[type=text], #form3 input[type=number] {
    width: 40px;
    text-align: center;
    color: black;
}


#form3 fieldset {
    min-height: 25px;
    background-color: #efefef;
    padding: 0;
    margin: 1px;
    margin-top: 1px;
    margin-right: 1px;
    margin-bottom: 1px;
    margin-left: 1px;
    width: 99%;
}


input[id^=pcal], input[class='pcal'] {
    width: 85% 
}

#form3 input[type=button] {
    width: 100px;
    background-color: #666;
    /*same colour as the background*/
    color: #fff;
    font-family: iransans,yekan,b roya,b nazanin,tahoma;
    text-align: center;
}

    #form3 input[type=button]:hover {
        background: #c20b0b;
        /*reduce the size of the shadow to give a pushed effect*/
        box-shadow: 0px 0px 5px rgba(0,0,0, .5);
    }

form[id^=form] label[for^=fUpload] {
    top: -125px;
    min-width: 150px;
    min-height: 30px;
}

form[id^=form2] fieldset li textarea {
}

label[data-type="anyfile"] {
    width: 100%;
    text-align: center
}

html:lang(fa) form[id^="form"] ul {
    text-align: right;
}

form[id^=form] input[type=button], input[type=button] {
    min-height: 35px;
    margin: 4px;
    padding: 5px;
    font-size: 1.1em;
}

form[id^=form2] input[type=button] {
}


form[id=form2] input[type=button]:hover {
    background-color: #f37474;
    color: black;
    background-image: none;
}

form[id^=form] input[type=image] {
    width: auto;
    padding: 38px;
    padding-top: 10px;
    padding-bottom: 7px;
    border: 1px solid #49c0f0;
    border-radius: 4px;
    margin-bottom: -12px;
}


.bubble {
    float: left;
    padding: 3px;
    z-index: 1111;
    position: relative;
    background-color: #d40b0b;
    border-radius: 10px 10px 0px 10px;
    color: white;
    min-width: 10px;
    text-align: center;
    top: -25px;
    right: 10px;
}

    .bubble:after {
        content: '';
        position: absolute;
        border-style: solid;
        border-width: 0 9px 15px;
        border-color: #FFFFFF transparent;
        display: block;
        width: 0;
        z-index: 10000;
        top: -15px;
        right: 100px;
    }

html :lang(en) .bubble {
    float: left;
    left: 10px;
}

.baloon {
    float: left;
    padding: 12px;
    z-index: 12;
    position: absolute;
    background-color: red;
    border-radius: 30px 10px 0px 20px;
    color: white;
    min-width: 300px;
    top: 0px;
    left: 0px;
    opacity: .5;
}


form label.error {
    position: absolute;
    min-width: 150px !important;
    height: auto;
    top: 0px;
    right: 20%;
    text-align: right;
    line-height: 150%;
    margin: 0;
    padding: 10px;
    font-weight: bold;
    background: red;
    opacity: .7;
    color: #fff;
    border-radius: 13px;
    border: #e3a5a5 solid 2px;
    z-index: 150;
}

html :lang(en) form label.error {
    left: 20%;
    text-align: left;
}



form label.error:after {
    content: '';
    position: absolute;
    border-style: solid;
    border-width: 13px 13px 0;
    border-color: red transparent;
    display: block;
    width: 0;
    z-index: 2;
    margin-left: -13px;
    bottom: -13px;
    left: 82%;
    width: auto;
}

form label.error:before {
    content: '';
    position: absolute;
    /*border-style: solid;
    border-width: 17px 17px 0;*/
    border-color: #e0e0e0 transparent;
    display: block;
    width: 0;
    z-index: 1;
    margin-left: -17px;
    bottom: -22px;
    left: 82%;
}

form .labelOverInput label.error, form[id^="form"] .login-cont label.error {
}



html:lang(fa) #form3 fieldset li, html:lang(ar) #form3 fieldset li {
    float: right;
    width: auto;
}

html:lang(fa) form[id^="form"] div.poll-container input[type="text"] {
    text-align: right;
    background-color: #fbf9f9
}



f.ticket fieldset li {
    width: 48%;
   }

div.ticket .button {
    background-color: #eaeaea;
    margin-bottom: 3px;
}


#btnTickets{display:none}

.ticket select {
    width: 200px;
}

#form2.ticket li {
    width: 99%;
}
form.ticket fieldset li.third {
    width: 23%;
}
form.ticket{display:none;}

    form.ticket #ticketnumber, form.ticket #creationdate, form.ticket .registerdate {
       float:left;
        font-size: 0.85em;
      
  
    }

    .ticket .icon-return {
        float: left;
        display: none;
        cursor:pointer;
    }

#form2.ticket label {
    float: left;
    width: auto;
    min-width: unset;
    font-size: 0.85em;
    color: #ccc;
    margin:0;
    margin-left:15px;
    
}



form.ticket #tickettitle {
    width: 80%;
}
form.ticket .textreply, form.ticket select {
    background-color: white;
}

 form.ticket #name, form.ticket #email {
    background-color: #DDD;
}




/*form.ticket code{display:none}*/
form.ticket .stretch {
    
}

form.ticket [class^="icon-"]::before {
    color:  #c4d8ff;
    
}

form.ticket .imgContent img{max-height:150px;max-width:150px;}
form.ticket .imgContent {
    background-color: #f9f7f7;
    padding:10px;
}

form.ticket .textreply {
    min-height: 40px;
    padding: 13px;
    margin-bottom: 15px;
    line-height: 1.5;
    border-radius: 6px;
}

form.ticket div[data-isanswer=True] {
    background-color: #d3f9c1;
}

form.ticket fieldset {
    background-color: #f2f2f2;
    width: 98%;
}



form[id^="form"] div.poll-container fieldset li input[type=email],
form[id^="form"] div.poll-container fieldset li input[type=text],
form[id^="form"] div.poll-container fieldset li textarea {
    width: 85%;
    background-color: #fbf9f9
}

form[id^="form"] div.poll-container input[type=button] {
    margin-bottom: 80px;
}

html :lang(en) form fieldset li {
    text-align: left;
}

#pcal2, #pcal1 {
    width:150px;
}

html:lang(en) form label.error {
    left: 10%;
    text-align: left;
    right: auto;
}

html:lang(en) form[id^=form] fieldset li input {
    text-align: left;
}

#output {
    background-color: whitesmoke;
}


    #output main ul, form.typedelivery ul {
    list-style-type: none;
    background-color: #f7f7f7;
    width: 100%;
    margin: auto;
    padding: 50px;
    line-height: 30px;
    text-align: right;
    float: right;
    text-align: center;
    border: 1px solid #e6e2e2;
      border-radius: 5px;
    }

    #output main ul i {
    color: black;
    font-size: 2em;
}


    #output main ul li{
    width: 100%;
    float: right;
}

#formDelivery {
    background-color: #f0f0f0;
    width:70%;
    text-align :center
}

    #formDelivery span{padding:5px}

    #formDelivery legend {
        text-align: left
    }
    html:lang(fa) #formDelivery legend, html:lang(ar) #formDelivery legend {
        text-align: right
    }

html:lang(fa) #output main ul, html:lang(fa) form.typedelivery ul, html:lang(ar) #output main ul, html:lang(ar) form.typedelivery ul {
    text-align: right;
}



    #output section {
        text-align: center;
    }

    #output main ul li {
      text-align: right;
    border: 1px #e7e7e7 solid;
    border-radius: 5px;
    margin: 1% 0;
    padding: 5px;
    background: white;
    box-shadow: 0px 5px 10px -1px rgb(145 145 145 / 14%);
      
      
}


        #output main ul li span:nth-child(1) {
            font-weight: bold;
          background: unset;
        }



@media only screen and (max-width: 820px) {

    #output main ul, form.typedelivery ul {
        width: 100%;
        padding: 20px;
    }

    form[id^=form] fieldset li input, input[type=text], form[id^=form] fieldset li textarea {
        width: 93%;
    }

    form[id^="form"] label:not(.error) {
       
    }

    form[id^="form"] fieldset li {
        width: 99%;
    }

    form[id^="form"] fieldset {
    }


    #form1 fieldset li textarea {
    }
}


@media only screen and (max-width: 620px) {

    #formDelivery {
       
        width: 99%;
        
    }

    form[id^="form"] fieldset li li {
        width: 100%;
    }


    #output main ul, .typedelivery ul {
        width: 99%;
    }



    .btn a {
        padding: 2px 5px;
        min-width: 30px;
    }


    form[id^="form"] fieldset li {
        width: 99%;
    }

    form[id^="form"] fieldset {
        width: 98%;
    }



    #form1 fieldset li textarea {
    }

    form[id^=form] label {
        padding-right: 3px;
    }

    #form1 label.error {
        right: 0px !important;
    }
}

@media only screen and (max-width: 420px) {

    form[id^="form"] fieldset li {
    }

    form[id^="form"] fieldset {
    }


    #form1 fieldset li textarea, #form1 fieldset li input {
    }

    form[id^=form] label.error {
        /*  top: -37px;*/
    }

    form[id^=form] input:after {
        color: red;
    }
}
